View data dashboard details

Read the specified data dashboard and its data source and chart configuration.

HTTP
GET $CLOUDSIGMA_API_BASE/data-dashboards/{dashboard_id}

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

Set the operation-specific values used in the request:

  • $DASHBOARD_ID: dashboard_id to use, specifying the target resource via the request path.

Request

Shell
curl -X GET "$CLOUDSIGMA_API_BASE/data-dashboards/$DASHBOARD_ID" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Path parameters

Parameters

Type

Is it required

Description

dashboard_id

string

Yes

Data dashboard ID.

Successful response

When the query is successful, the data dashboard, data source, chart and alarm information are returned.

JSON
{
  "code": 0,
  "data": {
    "ID": "0198ce73-3d20-7c12-9a11-1a2b3c4d5e6f",
    "Name": "销售概览",
    "Description": "按日查看销售数据",
    "CreatedByRoleID": "role-001",
    "CreatedAt": "2026-08-21T07:00:00Z",
    "UpdatedAt": "2026-08-21T07:00:00Z",
    "sources": [
      {
        "ID": "source-001",
        "DashboardID": "0198ce73-3d20-7c12-9a11-1a2b3c4d5e6f",
        "TableID": 1001,
        "DatabaseName": "analytics",
        "TableName": "daily_sales",
        "CreatedAt": "2026-08-21T07:00:00Z"
      }
    ],
    "charts": [],
    "alerts": [],
    "active_alert_count": 0
  }
}

The response fields are as follows.

Field

Type

Description

data.ID

string

Data dashboard ID.

data.Name

string

Data dashboard name.

data.Description

string

Data dashboard description.

data.CreatedByRoleID

string

The role ID used when creating the data dashboard.

data.CreatedAt

string

Creation time.

data.UpdatedAt

string

Update time.

data.sources

array

Data source list.

data.sources[].ID

string

Data source associated record ID.

data.sources[].DashboardID

string

Data dashboard ID.

data.sources[].TableID

integer

Data table ID.

data.sources[].DatabaseName

string

Database name.

data.sources[].TableName

string

Data table name.

data.sources[].CreatedAt

string

The creation time of the data source associated record.

data.charts

array

Chart list; returned in the details response.

data.alerts

array

Alarm record list.

data.active_alert_count

integer

The number of charts currently in alarm status.

In this document, [] after a type denotes an array. In a field path, [] denotes each item in an array; for example, data.sources[].ID is the ID field of each item in the data.sources array.

Error response

JSON
{
  "code": 3,
  "message": "not found",
  "details": {
    "domain": "moi-core.catalog.data_dashboard",
    "reason": "DATA_DASHBOARD_NOT_FOUND"
  }
}
FieldTypeDescription
codeinteger or stringError code or status.
messagestringError message.
Last updated on